exports = module.exports = {

  app: function (appname) {
    return   'var kibu = require("kibu")\n'
           + '  , routes = require("./config/routes")\n'
           + '  , config = require("./config/' + appname + '")\n'
           + '  , ' + appname + ' = kibu.application(routes);\n\n'
           + 'exports = module.exports = {\n'
           + '  serve: function (port) {\n'
           + '    ' + appname + '.boot(config.paths, function () {\n'
           + '      ' + appname + '.listen(port);\n'
           + '      console.log("kibu is listening on port " + port);\n'
           + '    });\n'
           + '  }\n'
           + '};'
  },

  routes: function () {
    return   'exports = module.exports = {\n'
           + '  "/": "home#index"\n'
           + '};';
  }(),

  appConfig: function () {
    return   'exports = module.exports = {\n'
           + '  paths: {\n'
           + '    controllers: "/app/controllers/"\n'
           + '  }\n'
           + '};';
  }(),

  package: function (appname) {
    return   '{\n'
           + '  "name": "' + appname + '",\n'
           + '  "version": "0.0.0",\n'
           + '  "description": "{Enter ' + appname + ' description here}",\n'
           + '  "main": "' + appname + '.js",\n'
           + '  "scripts": {},\n'
           + '  "repository": {\n'
           + '    "type": "",\n'
           + '    "url": ""\n'
           + '  },\n'
           + '  "author": "",\n'
           + '  "license": "",\n'
           + '  "readmeFilename": "README.md",\n'
           + '  "dependencies": {\n'
           + '    "kibu": "latest"\n'
           + '  },\n'
           + '  "devDependencies": {\n'
           + '  }\n'
           + '}';
  },

  readme: function (appname) {
    return   '# ' + appname + '\n'
           + appname + ' description.';
  }
};
